SaveFederationQueuePolicyResponsePBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb, class: SaveFederationQueuePolicyResponsePBImpl

Package org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

# Class SaveFederationQueuePolicyResponsePBImpl

java.lang.Object
org.apache.hadoop.yarn.server.api.protocolrecords.SaveFederationQueuePolicyResponse
org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.SaveFederationQueuePolicyResponsePBImpl

@Private @Unstable public class SaveFederationQueuePolicyResponsePBImpl extends org.apache.hadoop.yarn.server.api.protocolrecords.SaveFederationQueuePolicyResponse

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SaveFederationQueuePolicyResponsePBImpl()`
  `SaveFederationQueuePolicyResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.SaveFederationQueuePolicyResponseProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `String`
  `getMessage()`
  `org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.SaveFederationQueuePolicyResponseProto`
  `getProto()`
  `int`
  `hashCode()`
  `void`
  `setMessage(String msg)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.SaveFederationQueuePolicyResponse

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SaveFederationQueuePolicyResponsePBImpl

    public SaveFederationQueuePolicyResponsePBImpl()

  - ### SaveFederationQueuePolicyResponsePBImpl

    public SaveFederationQueuePolicyResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.SaveFederationQueuePolicyResponseProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.SaveFederationQueuePolicyResponseProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getMessage

    public String getMessage()
    Specified by:
      `getMessage` in class `org.apache.hadoop.yarn.server.api.protocolrecords.SaveFederationQueuePolicyResponse`

  - ### setMessage

    public void setMessage(String msg)
    Specified by:
      `setMessage` in class `org.apache.hadoop.yarn.server.api.protocolrecords.SaveFederationQueuePolicyResponse`